#pragma once
#include <vector>

#define BWhite 0
#define BBlack 1
#define BUndefined 2
#define BTurn 3
#define BEnd 4


using namespace std;

class MySegmentation
{
private:
	int W, H;
	int rL, rH; 
	int NoOfSegments;
	vector<vector<int>> I;
	vector<int> S;
	vector<int> R;

	vector<vector<int>> B; // working bitmap

	void DetermineWhiteRegion(int x1, int y1, int& x2, int& y2);
	void FillArea(int x1, int y1, int x2, int y2, int t);
	void InsertCommands(int x1, int y1, int x2, int y2);
public:
	MySegmentation();
	void Init(int w, int h, vector<vector<int>>& Img);
	void CreateBitmap(int a, int b);
	void MakeBitmap(int step);
	void RepresentByBoxes();
	vector<int> ReturnResult() { return R; }

	void MarkBloks(int Bsize, int treshold);

};

